ru.bitel.common.model

## Class SearchResult<L>

- java.lang.Object
- - ru.bitel.common.model.SearchResult<L>

-     public class SearchResult<L>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchResult()`
    `SearchResult(Period period, Page page)`
    `SearchResult(Period period, Page page, java.lang.String[] sort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute(java.lang.String key)`
    `java.lang.String[][]` | `getAttributes()`
    `java.util.List<L>` | `getList()`
    `Page` | `getPage()`
    `Period` | `getPeriod()`
    `java.lang.String[]` | `getSort()`
    `java.math.BigDecimal` | `getSum()`
    `void` | `setAttribute(java.lang.String key, java.lang.String value)`
    `void` | `setAttributes(java.lang.String[][] attrs)`
    `void` | `setList(java.util.List<L> list)`
    `void` | `setPage(Page page)`
    `void` | `setPeriod(Period period)`
    `void` | `setSort(java.lang.String[] sort)`
    `void` | `setSum(java.math.BigDecimal sum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchResult

          public SearchResult()

    - #### SearchResult

          public SearchResult(Period period,
                              Page page)

    - #### SearchResult

          public SearchResult(Period period,
                              Page page,
                              java.lang.String[] sort)

  - ### Method Detail

    - #### getPage

          public Page getPage()

    - #### setPage

          public void setPage(Page page)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### setList

          public void setList(java.util.List<L> list)

    - #### getList

          public java.util.List<L> getList()

    - #### getSort

          public java.lang.String[] getSort()

    - #### setSort

          public void setSort(java.lang.String[] sort)

    - #### setAttribute

          public void setAttribute(java.lang.String key,
                                   java.lang.String value)

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String key)

    - #### setAttributes

          public void setAttributes(java.lang.String[][] attrs)

    - #### getAttributes

          public java.lang.String[][] getAttributes()

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)